<isol>

!!!Listing 1: <I>check_edimax.sh<I>

#! /bin/bash

PRINTER=${1:-printbox.example.com}
OID=${2:-1.3.6.1.4.1.11.2.3.9.1.1.2.3.0}

STATE_OK=0
STATE_WARNING=1
STATE_CRITICAL=2
STATE_UNKNOWN=3

snmpget -c public -v1 $PRINTER $OID >/dev/null 2>&1

case "$?" in
    0)
        echo "PrintBox OK"
        exit $STATE_OK
        ;;
    1)
        echo "PrintBox broken"
        exit $STATE_CRITICAL
        ;;
    2)
        echo "PrintBox OID unknown"
        exit $STATE_UNKNOWN
        ;;
esac

echo "PrintBox unknown error"
exit $STATE_UNKNOWN
